# Uses of Interface
org.springframework.jmx.export.metadata.JmxAttributeSource

Packages that use JmxAttributeSource
Package
Description
org.springframework.jmx.export.annotation
Annotations for MBean exposure.
org.springframework.jmx.export.assembler
Provides a strategy for MBeanInfo assembly.
org.springframework.jmx.export.naming
Provides a strategy for ObjectName creation.

## Uses of JmxAttributeSource in org.springframework.jmx.export.annotation

Classes in org.springframework.jmx.export.annotation that implement JmxAttributeSource
Modifier and Type
Class
Description
`class`
`AnnotationJmxAttributeSource`
Implementation of the `JmxAttributeSource` interface that reads annotations and exposes the corresponding attributes.

## Uses of JmxAttributeSource in org.springframework.jmx.export.assembler

Methods in org.springframework.jmx.export.assembler with parameters of type JmxAttributeSource
Modifier and Type
Method
Description
`void`
MetadataMBeanInfoAssembler.`setAttributeSource(JmxAttributeSource attributeSource)`
Set the `JmxAttributeSource` implementation to use for reading the metadata from the bean class.
Constructors in org.springframework.jmx.export.assembler with parameters of type JmxAttributeSource
Modifier
Constructor
Description
``
`MetadataMBeanInfoAssembler(JmxAttributeSource attributeSource)`
Create a new `MetadataMBeanInfoAssembler` for the given `JmxAttributeSource`.

## Uses of JmxAttributeSource in org.springframework.jmx.export.naming

Methods in org.springframework.jmx.export.naming with parameters of type JmxAttributeSource
Modifier and Type
Method
Description
`void`
MetadataNamingStrategy.`setAttributeSource(JmxAttributeSource attributeSource)`
Set the implementation of the `JmxAttributeSource` interface to use when reading the source-level metadata.
Constructors in org.springframework.jmx.export.naming with parameters of type JmxAttributeSource
Modifier
Constructor
Description
``
`MetadataNamingStrategy(JmxAttributeSource attributeSource)`
Create a new `MetadataNamingStrategy` for the given `JmxAttributeSource`.